<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div> 
            <h1> {{model_instance.name}} </h1>
            <p><a href={% url 'todo_list_update' model_instance.pk %}>Edit</a></p> 
            <p><a href={% url 'todo_list_delete' model_instance.pk %}>Delete</a></p>
            <h2> Tasks </h2>
                <table>
                    <thead>
                    <tr>
                        <th> Task </th>
                        <th> Due Date </th>
                    </tr>
                    </thead>
                    <tbody>
                        {%for item in model_instance.items.all %}
                            <tr>
                                <td> <a href="{% url 'todo_item_update' item.pk %}"> {{item.task}} </a> </td>
                                <td>{{item.due_date}}</td>
                            </tr>
                        {%  endfor %}    
                    </tbody>
                </table>
        </div>
    </main>
</body>
</html>